
.offcanvas-nav {
    display: none;
    visibility: hidden;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: @zindex-navbar-fixed + 1;
    width: @mobile-nav-width;
    background: @mobile-nav-bg;
    overflow-y: auto;
    transition: transform .4s;
    transform: translate3d(-100%, 0, 0);

    @media (max-width: (@mobile-nav-breakpoint - 1)) {
        display: block;
    }

    body.offcanvas-open & {
        visibility: visible;
        box-shadow: -10px 0px 25px rgba(0, 0, 0, 0.2);
    }

    ul {
        padding: 0;
        margin: 0;
        list-style: none;
        display: none;
    }

    > ul {
        margin-bottom: 15px;
        display: block;

        > li:last-child {
            border-bottom: 1px solid @mobile-nav-element-border-color;
        }
    }

    li {
        display: block;
        position: relative;
        border-top: 1px solid @mobile-nav-element-border-color;

        &.level-1 {
            background: @mobile-nav-link-level-1-bg;

            > .toggle-icon {
                background: @mobile-nav-link-level-1-bg;

                &:after {
                    background: @mobile-nav-link-level-1-bg;
                }
            }
        }

        &.level-2 {
            background: @mobile-nav-link-level-2-bg;

            > .toggle-icon {
                background: @mobile-nav-link-level-2-bg;

                &:after {
                    background: @mobile-nav-link-level-2-bg;
                }
            }
        }

        &.level-3 {
            background: @mobile-nav-link-level-3-bg;
        }

        &.is-parent {
            > a {
                margin-right: 40px;
            }
        }

        &.is-open {
            > ul {
                display: block;
            }

            > .toggle-icon:before {
                content: "-";
            }
        }

        &.current > a {
            color: @mobile-nav-link-active-color;
            text-decoration: underline;
        }

        a {
            display: block;
            padding: 12px 15px;
            color: @mobile-nav-link-color;
            transition: all .15s;
            text-decoration: none;
        }

        .toggle-icon {
            position: absolute;
            top: 0;
            right: 0;
            width: 40px;
            height: 45px;
            line-height: 1;
            text-align: center;
            background: transparent;
            cursor: pointer;
            z-index: 2;
            display: block;
            border: solid @mobile-nav-element-border-color;
            border-width: 0 0 1px 1px;
            font-size: 22px;

            &:before {
                content: "+";
                font-family: FontAwesome !important;
                z-index: 2;
                color: @mobile-nav-link-color;
                position: relative;
                display: block;
            }
        }
    }

    ul li > ul li a {
        padding-left: (15px + 15);
    }

    ul ul li > ul li a {
        padding-left: (15px + 30);
    }
}

.offcanvas-lang {
    .language-nav {
        display: block !important;
        border-bottom: 1px solid @mobile-nav-element-border-color;
    }
}

.offcanvas-search {
    padding: 15px 15px 20px 15px;

    &-wrap {
        position: relative;
    }

    &-input {
        padding-right: 40px;
        background-color: rgba(0,0,0,0.03);

        &:focus {
            box-shadow: none;
            border-color: @mobile-search-input-active-border;
        }
    }

    &-submit {
        position: absolute;
        right: 0;
        top: 0;
        background: transparent;
        color: @mobile-search-icon-color;

        &:hover, &:focus {
            color: @mobile-search-icon-hover-color;
        }
    }
}
